import zod from "zod";
export declare const createCategoryCreateValidation: () => zod.ZodObject<{
    url: zod.ZodString;
    name: zod.ZodString;
    layout: zod.ZodString;
    slug: zod.ZodString;
}, "strip", zod.ZodTypeAny, {
    url: string;
    name: string;
    layout: string;
    slug: string;
}, {
    url: string;
    name: string;
    layout: string;
    slug: string;
}>;
export declare const createCategoryUpdateValidation: () => zod.ZodObject<{
    name: zod.ZodOptional<zod.ZodString>;
    url: zod.ZodOptional<zod.ZodString>;
    layout: zod.ZodOptional<zod.ZodString>;
}, "strip", zod.ZodTypeAny, {
    name?: string | undefined;
    url?: string | undefined;
    layout?: string | undefined;
}, {
    name?: string | undefined;
    url?: string | undefined;
    layout?: string | undefined;
}>;
