"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createPageBuilderGraphQL = exports.createPageBuilderContext = void 0;
Object.defineProperty(exports, "useElementVariables", {
  enumerable: true,
  get: function () {
    return _useElementVariables.useElementVariables;
  }
});
var _useElementVariables = require("./elementProcessors/useElementVariables");
var _crud = require("./crud");
var _graphql = _interopRequireDefault(require("./graphql"));
var _elementProcessors = require("./elementProcessors");
const createPageBuilderGraphQL = () => {
  return (0, _graphql.default)();
};
exports.createPageBuilderGraphQL = createPageBuilderGraphQL;
const createPageBuilderContext = params => {
  return [(0, _crud.createCrud)(params), (0, _elementProcessors.createElementProcessors)()];
};
exports.createPageBuilderContext = createPageBuilderContext;

//# sourceMappingURL=index.js.map